Name: kde-utils-kgpg
Summary: Manage GPG encryption keys 
Version: 15.04.3
Release: %mkrel 1
Group:   Graphical desktop/KDE4
License: GPLv2+
Source0: http://download.kde.org/%{stable}/%{version}/src/kgpg-%{version}.tar.xz
Patch50: kgpg-4.9.0-gpg2.patch
BuildRequires: desktop-file-utils
BuildRequires: kdelibs-devel
BuildRequires: kde-pimlibs-devel
Requires: kde-pimlibs
Requires: gnupg2

%description
KGpg is a simple interface for GnuPG, a powerful encryption utility.

%files
%defattr(-,root,root)
%{_kde_bindir}/kgpg
%{_kde_appsdir}/kgpg/
%{_datadir}/dbus-1/interfaces/org.kde.kgpg.*.xml
%{_kde_datadir}/config.kcfg/kgpg.kcfg
%{_kde_datadir}/autostart/kgpg.desktop
%{_kde_iconsdir}/hicolor/*/apps/kgpg.*
%{_kde_datadir}/applications/kde4/kgpg.desktop
%{_kde_datadir}/appdata/kgpg.appdata.xml
%{_kde_datadir}/kde4/services/ServiceMenus/encryptfile.desktop
%{_kde_datadir}/kde4/services/ServiceMenus/encryptfolder.desktop
%{_kde_datadir}/kde4/services/ServiceMenus/viewdecrypted.desktop
%{_kde_docdir}/HTML/*/kgpg/*

%prep
%setup -q -n kgpg-%version
%patch50 -p1

%build
%cmake_kde4
export CFLAGS="$RPM_OPT_FLAGS -ffast-math"
%make

%install
rm -fr %buildroot
cd build
make DESTDIR=%buildroot install

#MENU Entries
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Configuration-Other" \
  --add-only-show-in="KDE" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/kgpg.desktop

%clean
rm -fr %buildroot

%changelog
* Wed Jul 22 2015 pp <pp> 15.04.3-1pclos2015
- update

* Sun Apr 19 2015 pinoc <vogtpet at gmail.com> 15.04.0-1pclos2015
- 15.04.0

* Mon Mar 09 2015 bb <bb> 14.12.3-1pclos2015
- update

* Thu Nov 13 2014 pinoc <vogtpet at gmail.com> 4.14.3-1pclos2014
- 4.14.3

* Tue Jul 15 2014 pinoc <vogtpet at gmail.com> 4.13.3-1pclos2014
- 4.13.3
